# VoiceHandler
**Inherits:** [RefCounted](https://docs.godotengine.org/de/4.x/classes/class_refcounted.html)
    




## Methods

| Returns                                                             | Name                                                                                                                        |
| ------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------- |
| void                                                                | [send_data](#send-data) ( data: [PackedByteArray](https://docs.godotengine.org/de/4.x/classes/class_packedbytearray.html) ) |
| [bool](https://docs.godotengine.org/de/4.x/classes/class_bool.html) | [start_wakeword](#start-wakeword) (  )                                                                                      |

## Signals

### on_error ( ) {#on-error}

No description provided yet.

### on_stt_message (message: [String](https://docs.godotengine.org/de/4.x/classes/class_string.html)  ) {#on-stt-message}

No description provided yet.

### on_tts_message (message: [String](https://docs.godotengine.org/de/4.x/classes/class_string.html)  ) {#on-tts-message}

No description provided yet.

### on_tts_sound (sound: [AudioStreamMP3](https://docs.godotengine.org/de/4.x/classes/class_audiostreammp3.html)  ) {#on-tts-sound}

No description provided yet.

### on_wake_word (wake_word: [String](https://docs.godotengine.org/de/4.x/classes/class_string.html)  ) {#on-wake-word}

No description provided yet.







## Method Descriptions

###  send_data (data: [PackedByteArray](https://docs.godotengine.org/de/4.x/classes/class_packedbytearray.html)  ) -> void {#send-data}

No description provided yet.

###  start_wakeword ( ) -> [bool](https://docs.godotengine.org/de/4.x/classes/class_bool.html) {#start-wakeword}

No description provided yet.
